Subject: bug#24573: 25.1; Setting bookmark in buffer *Help* makes bookmarks non-loadable

From: Noam Postavsky <[email-masked]>
Date: Sat, 06 Jul 2019 14:42:35 -0400

tags 24573 fixed
close 24573 27.1
quit

Stefan Kangas <[email-masked]> writes:
>> -      (help-args   . ,(cdr help-xref-stack-item))
>> +      (help-args   . ,(mapcar (lambda (a)
>> +                                (if (bufferp a) (buffer-name a) a))
>> +                              (cdr help-xref-stack-item)))

> I can confirm this bug, which I've recently stumbled into myself.
>
> I can also confirm that Noam Postavsky's fix works.

Ah right, kind of forgot about this.  Now pushed to master.

8d43315cfa 2019-07-06T14:34:47-04:00 "Use buffer's name for help-mode bookmarks (Bug#24573)"
https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=8d43315cfa3db295736826272472ec1e394ecb60